diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/plot.txi
--- a/doc/interpreter/plot.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/plot.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -118,22 +118,22 @@
 @caption{Simple Two-Dimensional Plot.}
 @end float
 
-@DOCSTRING(plot)
+@ref{XREFplot, , @code{plot}}: Produce 2-D plots.
 
 The @code{plotyy} function may be used to create a plot with two
 independent y axes.
 
-@DOCSTRING(plotyy)
+@ref{XREFplotyy, , @code{plotyy}}: Plot two sets of data with independent y-axes and a common x-axis.
 
 The functions @code{semilogx}, @code{semilogy}, and @code{loglog} are
 similar to the @code{plot} function, but produce plots in which one or
 both of the axes use log scales.
 
-@DOCSTRING(semilogx)
-
-@DOCSTRING(semilogy)
-
-@DOCSTRING(loglog)
+@ref{XREFsemilogx, , @code{semilogx}}: Produce a 2-D plot using a logarithmic scale for the x-axis.
+
+@ref{XREFsemilogy, , @code{semilogy}}: Produce a 2-D plot using a logarithmic scale for the y-axis.
+
+@ref{XREFloglog, , @code{loglog}}: Produce a 2-D plot using logarithmic scales for both axes.
 
 The functions @code{bar}, @code{barh}, @code{stairs}, and @code{stem}
 are useful for displaying discrete data.  For example,
@@ -160,40 +160,41 @@
 @caption{Histogram.}
 @end float
 
-@DOCSTRING(bar)
-
-@DOCSTRING(barh)
-
-@DOCSTRING(hist)
-
-@DOCSTRING(stemleaf)
-
-@DOCSTRING(printd)
-
-@DOCSTRING(stairs)
-
-@DOCSTRING(stem)
-
-@DOCSTRING(stem3)
-
-@DOCSTRING(scatter)
-
-@DOCSTRING(plotmatrix)
-
-@DOCSTRING(pareto)
-
-@DOCSTRING(rose)
+@ref{XREFbar, , @code{bar}}: Produce a bar graph from two vectors of X-Y data.
+
+@ref{XREFbarh, , @code{barh}}: Produce a horizontal bar graph from two vectors of X-Y data.
+
+@ref{XREFhist, , @code{hist}}: Produce histogram counts or plots.
+
+@ref{XREFstemleaf, , @code{stemleaf}}: Compute and display a stem and leaf plot of the vector X.
+
+@ref{XREFprintd, , @code{printd}}: Convert any object acceptable to 'disp' into the format selected by the
+suffi...
+
+@ref{XREFstairs, , @code{stairs}}: Produce a stairstep plot.
+
+@ref{XREFstem, , @code{stem}}: Plot a 2-D stem graph.
+
+@ref{XREFstem3, , @code{stem3}}: Plot a 3-D stem graph.
+
+@ref{XREFscatter, , @code{scatter}}: Draw a 2-D scatter plot.
+
+@ref{XREFplotmatrix, , @code{plotmatrix}}: Scatter plot of the columns of one matrix against another.
+
+@ref{XREFpareto, , @code{pareto}}: Draw a Pareto chart.
+
+@ref{XREFrose, , @code{rose}}: Plot an angular histogram.
 
 The @code{contour}, @code{contourf} and @code{contourc} functions
 produce two-dimensional contour plots from three-dimensional data.
 
-@DOCSTRING(contour)
-
-@DOCSTRING(contourf)
-
-@DOCSTRING(contourc)
-
-@DOCSTRING(contour3)
+@ref{XREFcontour, , @code{contour}}: Create a 2-D contour plot.
+
+@ref{XREFcontourf, , @code{contourf}}: Create a 2-D contour plot with filled intervals.
+
+@ref{XREFcontourc, , @code{contourc}}: Compute contour lines (isolines of constant Z value).
+
+@ref{XREFcontour3, , @code{contour3}}: Create a 3-D contour plot.
 
 The @code{errorbar}, @code{semilogxerr}, @code{semilogyerr}, and
 @code{loglogerr} functions produce plots with error bar markers.  For
@@ -222,13 +223,15 @@
 @caption{Errorbar plot.}
 @end float
 
-@DOCSTRING(errorbar)
-
-@DOCSTRING(semilogxerr)
-
-@DOCSTRING(semilogyerr)
-
-@DOCSTRING(loglogerr)
+@ref{XREFerrorbar, , @code{errorbar}}: Create a 2-D plot with errorbars.
+
+@ref{XREFsemilogxerr, , @code{semilogxerr}}: Produce 2-D plots using a logarithmic scale for the x-axis and errorbars
+at e...
+
+@ref{XREFsemilogyerr, , @code{semilogyerr}}: Produce 2-D plots using a logarithmic scale for the y-axis and errorbars
+at e...
+
+@ref{XREFloglogerr, , @code{loglogerr}}: Produce 2-D plots on a double logarithm axis with errorbars.
 
 Finally, the @code{polar} function allows you to easily plot data in
 polar coordinates.  However, the display coordinates remain rectangular
@@ -249,43 +252,47 @@
 @caption{Polar plot.}
 @end float
 
-@DOCSTRING(polar)
-
-@DOCSTRING(pie)
-
-@DOCSTRING(pie3)
-
-@DOCSTRING(quiver)
-
-@DOCSTRING(quiver3)
-
-@DOCSTRING(streamribbon)
-
-@DOCSTRING(streamtube)
-
-@DOCSTRING(ostreamtube)
-
-@DOCSTRING(streamline)
-
-@DOCSTRING(stream2)
-
-@DOCSTRING(stream3)
-
-@DOCSTRING(compass)
-
-@DOCSTRING(feather)
-
-@DOCSTRING(pcolor)
-
-@DOCSTRING(area)
-
-@DOCSTRING(fill)
-
-@DOCSTRING(fill3)
-
-@DOCSTRING(comet)
-
-@DOCSTRING(comet3)
+@ref{XREFpolar, , @code{polar}}: Create a 2-D plot from polar coordinates THETA and RHO.
+
+@ref{XREFpie, , @code{pie}}: Plot a 2-D pie chart.
+
+@ref{XREFpie3, , @code{pie3}}: Plot a 3-D pie chart.
+
+@ref{XREFquiver, , @code{quiver}}: Plot a 2-D vector field with arrows.
+
+@ref{XREFquiver3, , @code{quiver3}}: Plot a 3-D vector field with arrows.
+
+@ref{XREFstreamribbon, , @code{streamribbon}}: Calculate and display streamribbons.
+
+@ref{XREFstreamtube, , @code{streamtube}}: Plot tubes scaled by the divergence along streamlines.
+
+@ref{XREFostreamtube, , @code{ostreamtube}}: Calculate and display streamtubes.
+
+@ref{XREFstreamline, , @code{streamline}}: Plot streamlines of 2-D or 3-D vector fields.
+
+@ref{XREFstream2, , @code{stream2}}: Compute 2-D streamline data.
+
+@ref{XREFstream3, , @code{stream3}}: Compute 3-D streamline data.
+
+@ref{XREFcompass, , @code{compass}}: Plot the '(U, V)' components of a vector field emanating from the origin
+of a...
+
+@ref{XREFfeather, , @code{feather}}: Plot the '(U, V)' components of a vector field emanating from
+equidistant poi...
+
+@ref{XREFpcolor, , @code{pcolor}}: Produce a 2-D density plot.
+
+@ref{XREFarea, , @code{area}}: Area plot of the columns of Y.
+
+@ref{XREFfill, , @code{fill}}: Create one or more filled 2-D polygons.
+
+@ref{XREFfill3, , @code{fill3}}: Create one or more filled 3-D polygons.
+
+@ref{XREFcomet, , @code{comet}}: Produce a simple comet style animation along the trajectory provided by
+the i...
+
+@ref{XREFcomet3, , @code{comet3}}: Produce a simple comet style animation along the trajectory provided by
+the i...
 
 @node Axis Configuration
 @subsubsection Axis Configuration
@@ -297,12 +304,12 @@
 example by calling @code{axis}, @code{xlim}, etc., should happen after the plot
 is done or, alternatively, after calling the @ref{XREFhold, ,hold function}.
 
-@DOCSTRING(axis)
+@ref{XREFaxis, , @code{axis}}: Set axis limits and appearance.
 
 Similarly the axis limits of the colormap can be changed with the caxis
 function.
 
-@DOCSTRING(caxis)
+@ref{XREFcaxis, , @code{caxis}}: Query or set color axis limits for plots.
 
 The @code{xlim}, @code{ylim}, and @code{zlim} functions may be used to
 get or set individual axis limits.  Each has the same form.
@@ -312,7 +319,7 @@
 @anchor{XREFzlim}
 @findex ylim
 @findex zlim
-@DOCSTRING(xlim)
+@ref{XREFxlim, , @code{xlim}}: Query or set the limits of the x-axis for the current plot.
 
 The @code{xticks}, @code{yticks}, @code{zticks}, @code{rticks}, and
 @code{thetaticks} functions may be used to get or set the tick mark locations
@@ -329,7 +336,7 @@
 @findex zticks
 @findex rticks
 @findex thetaticks
-@DOCSTRING(xticks)
+@ref{XREFxticks, , @code{xticks}}: Query or set the tick values on the x-axis of the current axis.
 
 The @code{xticklabels}, @code{yticklabels}, and @code{zticklabels} functions
 may be used to get or set the label assigned to each tick location and the
@@ -342,7 +349,7 @@
 @anchor{XREFzticklabels}
 @findex yticklabels
 @findex zticklabels
-@DOCSTRING(xticklabels)
+@ref{XREFxticklabels, , @code{xticklabels}}: Query or set the tick labels on the x-axis of the current axis.
 
 The @code{xtickangle}, @code{ytickangle}, and @code{ztickangle} functions
 may be used to get or set the rotation angle of labels for the respective axis.
@@ -352,7 +359,8 @@
 @anchor{XREFztickangle}
 @findex ytickangle
 @findex ztickangle
-@DOCSTRING(xtickangle)
+@ref{XREFxtickangle, , @code{xtickangle}}: Query or set the rotation angle of the tick labels on the x-axis of the
+curre...
 
 @node Two-dimensional Function Plotting
 @subsubsection Two-dimensional Function Plotting
@@ -374,24 +382,24 @@
 produces a plot that is equivalent to the one above, but also includes a
 legend displaying the name of the plotted function.
 
-@DOCSTRING(fplot)
+@ref{XREFfplot, , @code{fplot}}: Plot a function FN within the range defined by LIMITS.
 
 Other functions that can create two-dimensional plots directly from a
 function include @code{ezplot}, @code{ezcontour}, @code{ezcontourf} and
 @code{ezpolar}.
 
-@DOCSTRING(ezplot)
-
-@DOCSTRING(ezcontour)
-
-@DOCSTRING(ezcontourf)
-
-@DOCSTRING(ezpolar)
+@ref{XREFezplot, , @code{ezplot}}: Plot the 2-D curve defined by the function F.
+
+@ref{XREFezcontour, , @code{ezcontour}}: Plot the contour lines of a function.
+
+@ref{XREFezcontourf, , @code{ezcontourf}}: Plot the filled contour lines of a function.
+
+@ref{XREFezpolar, , @code{ezpolar}}: Plot a 2-D function in polar coordinates.
 
 @node Two-dimensional Geometric Shapes
 @subsubsection Two-dimensional Geometric Shapes
 
-@DOCSTRING(rectangle)
+@ref{XREFrectangle, , @code{rectangle}}: Draw a rectangular patch defined by POS and CURV.
 
 @node Three-Dimensional Plots
 @subsection Three-Dimensional Plots
@@ -454,83 +462,87 @@
 Finally, the @code{view} function changes the viewpoint for
 three-dimensional plots.
 
-@DOCSTRING(mesh)
-
-@DOCSTRING(meshc)
-
-@DOCSTRING(meshz)
-
-@DOCSTRING(hidden)
-
-@DOCSTRING(surf)
-
-@DOCSTRING(surfc)
-
-@DOCSTRING(surfl)
-
-@DOCSTRING(surfnorm)
-
-@DOCSTRING(isosurface)
-
-@DOCSTRING(isonormals)
-
-@DOCSTRING(isocaps)
-
-@DOCSTRING(isocolors)
-
-@DOCSTRING(smooth3)
-
-@DOCSTRING(reducevolume)
-
-@DOCSTRING(reducepatch)
-
-@DOCSTRING(shrinkfaces)
-
-@DOCSTRING(diffuse)
-
-@DOCSTRING(specular)
-
-@DOCSTRING(lighting)
-
-@DOCSTRING(material)
-
-@DOCSTRING(camlight)
-
-@DOCSTRING(lightangle)
-
-@DOCSTRING(meshgrid)
-
-@DOCSTRING(ndgrid)
-
-@DOCSTRING(plot3)
-
-@DOCSTRING(view)
-
-@DOCSTRING(camlookat)
-
-@DOCSTRING(campos)
-
-@DOCSTRING(camorbit)
-
-@DOCSTRING(camroll)
-
-@DOCSTRING(camtarget)
-
-@DOCSTRING(camup)
-
-@DOCSTRING(camva)
-
-@DOCSTRING(camzoom)
-
-@DOCSTRING(slice)
-
-@DOCSTRING(ribbon)
-
-@DOCSTRING(shading)
-
-@DOCSTRING(scatter3)
-
-@DOCSTRING(waterfall)
+@ref{XREFmesh, , @code{mesh}}: Plot a 3-D wireframe mesh.
+
+@ref{XREFmeshc, , @code{meshc}}: Plot a 3-D wireframe mesh with underlying contour lines.
+
+@ref{XREFmeshz, , @code{meshz}}: Plot a 3-D wireframe mesh with a surrounding curtain.
+
+@ref{XREFhidden, , @code{hidden}}: Control mesh hidden line removal.
+
+@ref{XREFsurf, , @code{surf}}: Plot a 3-D surface mesh.
+
+@ref{XREFsurfc, , @code{surfc}}: Plot a 3-D surface mesh with underlying contour lines.
+
+@ref{XREFsurfl, , @code{surfl}}: Plot a 3-D surface using shading based on various lighting models.
+
+@ref{XREFsurfnorm, , @code{surfnorm}}: Find the vectors normal to a meshgridded surface.
+
+@ref{XREFisosurface, , @code{isosurface}}: Calculate isosurface of 3-D volume data.
+
+@ref{XREFisonormals, , @code{isonormals}}: Calculate normals to an isosurface.
+
+@ref{XREFisocaps, , @code{isocaps}}: Create end-caps for isosurfaces of 3-D data.
+
+@ref{XREFisocolors, , @code{isocolors}}: Compute isosurface colors.
+
+@ref{XREFsmooth3, , @code{smooth3}}: Smooth values of 3-dimensional matrix DATA.
+
+@ref{XREFreducevolume, , @code{reducevolume}}: Reduce the volume of the dataset in V according to the values in R.
+
+@ref{XREFreducepatch, , @code{reducepatch}}: Reduce the number of faces and vertices in a patch object while
+retaining the...
+
+@ref{XREFshrinkfaces, , @code{shrinkfaces}}: Reduce the size of faces in a patch by the shrink factor SF.
+
+@ref{XREFdiffuse, , @code{diffuse}}: Calculate the diffuse reflection strength of a surface defined by the
+normal ...
+
+@ref{XREFspecular, , @code{specular}}: Calculate the specular reflection strength of a surface defined by the
+normal...
+
+@ref{XREFlighting, , @code{lighting}}: Set the lighting of patch or surface graphic objects.
+
+@ref{XREFmaterial, , @code{material}}: Set reflectance properties for the lighting of surfaces and patches.
+
+@ref{XREFcamlight, , @code{camlight}}: Add a light object to a figure using a simple interface.
+
+@ref{XREFlightangle, , @code{lightangle}}: Add a light object to the current axes using spherical coordinates.
+
+@ref{XREFmeshgrid, , @code{meshgrid}}: Given vectors of X and Y coordinates, return matrices XX and YY
+corresponding...
+
+@ref{XREFndgrid, , @code{ndgrid}}: Given n vectors X1, ..., Xn, 'ndgrid' returns n arrays of dimension n.
+
+@ref{XREFplot3, , @code{plot3}}: Produce 3-D plots.
+
+@ref{XREFview, , @code{view}}: Query or set the viewpoint for the current axes.
+
+@ref{XREFcamlookat, , @code{camlookat}}: Move the camera and adjust its properties to look at objects.
+
+@ref{XREFcampos, , @code{campos}}: Set or get the camera position.
+
+@ref{XREFcamorbit, , @code{camorbit}}: Rotate the camera up/down and left/right around its target.
+
+@ref{XREFcamroll, , @code{camroll}}: Roll the camera.
+
+@ref{XREFcamtarget, , @code{camtarget}}: Set or get where the camera is pointed.
+
+@ref{XREFcamup, , @code{camup}}: Set or get the camera up vector.
+
+@ref{XREFcamva, , @code{camva}}: Set or get the camera viewing angle.
+
+@ref{XREFcamzoom, , @code{camzoom}}: Zoom the camera in or out.
+
+@ref{XREFslice, , @code{slice}}: Plot slices of 3-D data/scalar fields.
+
+@ref{XREFribbon, , @code{ribbon}}: Draw a ribbon plot for the columns of Y vs.
+
+@ref{XREFshading, , @code{shading}}: Set the shading of patch or surface graphic objects.
+
+@ref{XREFscatter3, , @code{scatter3}}: Draw a 3-D scatter plot.
+
+@ref{XREFwaterfall, , @code{waterfall}}: Plot a 3-D waterfall plot.
 
 @menu
 * Aspect Ratio::
@@ -546,31 +558,31 @@
 @xref{Axis Configuration}, for controlling the x-, y-, and z-limits for
 plotting.
 
-@DOCSTRING(daspect)
-
-@DOCSTRING(pbaspect)
+@ref{XREFdaspect, , @code{daspect}}: Query or set the data aspect ratio of the current axes.
+
+@ref{XREFpbaspect, , @code{pbaspect}}: Query or set the plot box aspect ratio of the current axes.
 
 @node Three-dimensional Function Plotting
 @subsubsection Three-dimensional Function Plotting
 
-@DOCSTRING(ezplot3)
-
-@DOCSTRING(ezmesh)
-
-@DOCSTRING(ezmeshc)
-
-@DOCSTRING(ezsurf)
-
-@DOCSTRING(ezsurfc)
+@ref{XREFezplot3, , @code{ezplot3}}: Plot a parametrically defined curve in three dimensions.
+
+@ref{XREFezmesh, , @code{ezmesh}}: Plot the mesh defined by a function.
+
+@ref{XREFezmeshc, , @code{ezmeshc}}: Plot the mesh and contour lines defined by a function.
+
+@ref{XREFezsurf, , @code{ezsurf}}: Plot the surface defined by a function.
+
+@ref{XREFezsurfc, , @code{ezsurfc}}: Plot the surface and contour lines defined by a function.
 
 @node Three-dimensional Geometric Shapes
 @subsubsection Three-dimensional Geometric Shapes
 
-@DOCSTRING(cylinder)
-
-@DOCSTRING(sphere)
-
-@DOCSTRING(ellipsoid)
+@ref{XREFcylinder, , @code{cylinder}}: Plot a 3-D unit cylinder.
+
+@ref{XREFsphere, , @code{sphere}}: Plot a 3-D unit sphere.
+
+@ref{XREFellipsoid, , @code{ellipsoid}}: Plot a 3-D ellipsoid.
 
 @node Plot Annotations
 @subsection Plot Annotations
@@ -598,28 +610,30 @@
 highlight parts of a plot using the @code{annotation} function.  Those objects
 are drawn in an invisible axes, on top of every other axes.
 
-@DOCSTRING(title)
-
-@DOCSTRING(legend)
-
-@DOCSTRING(text)
+@ref{XREFtitle, , @code{title}}: Specify the string used as a title for the current axis.
+
+@ref{XREFlegend, , @code{legend}}: Display a legend for the current axes using the specified strings as
+labels.
+
+@ref{XREFtext, , @code{text}}: Create a text object with text STRING at position X, Y, (Z) on the
+current ax...
 
 @c Add cross-references and function index entries for other label functions.
 @anchor{XREFylabel}
 @anchor{XREFzlabel}
 @findex ylabel
 @findex zlabel
-@DOCSTRING(xlabel)
-
-@DOCSTRING(clabel)
-
-@DOCSTRING(box)
-
-@DOCSTRING(grid)
-
-@DOCSTRING(colorbar)
-
-@DOCSTRING(annotation)
+@ref{XREFxlabel, , @code{xlabel}}: Specify the string used to label the x-axis of the current axis.
+
+@ref{XREFclabel, , @code{clabel}}: Add labels to the contours of a contour plot.
+
+@ref{XREFbox, , @code{box}}: Control display of the axes border.
+
+@ref{XREFgrid, , @code{grid}}: Control the display of plot grid lines.
+
+@ref{XREFcolorbar, , @code{colorbar}}: Add a colorbar to the current axes.
+
+@ref{XREFannotation, , @code{annotation}}: Draw annotations to emphasize parts of a figure.
 
 @node Multiple Plots on One Page
 @subsection Multiple Plots on One Page
@@ -648,7 +662,8 @@
 subplot activates the second subplot area, but does not re-partition the
 figure.
 
-@DOCSTRING(subplot)
+@ref{XREFsubplot, , @code{subplot}}: Set up a plot grid with ROWS by COLS subwindows and set the current axes
+for ...
 
 @node Multiple Plot Windows
 @subsection Multiple Plot Windows
@@ -670,19 +685,21 @@
 creates two figures, with the first displaying a sine wave and
 the second a cosine wave.  Figure numbers must be positive integers.
 
-@DOCSTRING(figure)
+@ref{XREFfigure, , @code{figure}}: Create a new figure window for plotting.
 
 @node Manipulation of Plot Objects
 @subsection Manipulation of Plot Objects
 @cindex plotting, object manipulation
 
-@DOCSTRING(pan)
-
-@DOCSTRING(rotate)
-
-@DOCSTRING(rotate3d)
-
-@DOCSTRING(zoom)
+@ref{XREFpan, , @code{pan}}: Control the interactive panning mode of a figure in the GUI.
+
+@ref{XREFrotate, , @code{rotate}}: Rotate the plot object H through ALPHA degrees around the line with
+direction...
+
+@ref{XREFrotate3d, , @code{rotate3d}}: Control the interactive 3-D rotation mode of a figure in the GUI.
+
+@ref{XREFzoom, , @code{zoom}}: Zoom the current axes object or control the interactive zoom mode of a
+figure...
 
 @node Manipulation of Plot Windows
 @subsection Manipulation of Plot Windows
@@ -692,13 +709,13 @@
 or when waiting for input.  The
 @code{drawnow} function is used to cause a plot window to be updated.
 
-@DOCSTRING(drawnow)
+@ref{XREFdrawnow, , @code{drawnow}}: Update figure windows and their children.
 
 Only figures that are modified will be updated.  The @code{refresh}
 function can also be used to cause an update of the current figure, even if
 it is not modified.
 
-@DOCSTRING(refresh)
+@ref{XREFrefresh, , @code{refresh}}: Refresh a figure, forcing it to be redrawn.
 
 Normally, high-level plot functions like @code{plot} or @code{mesh} call
 @code{newplot} to determine whether the state of the target axes should be
@@ -722,28 +739,31 @@
 off, consecutive plotting commands like this will only display the last
 plot.
 
-@DOCSTRING(newplot)
-
-@DOCSTRING(hold)
-
-@DOCSTRING(ishold)
+@ref{XREFnewplot, , @code{newplot}}: Prepare graphics engine to produce a new plot.
+
+@ref{XREFhold, , @code{hold}}: Toggle or set the "hold" state of the plotting engine which determines
+whethe...
+
+@ref{XREFishold, , @code{ishold}}: Return true if the next plot will be added to the current plot, or false
+if t...
 To clear the current figure, call the @code{clf} function.  To clear the
 current axis, call the @code{cla} function.  To bring the current figure
 to the top of the window stack, call the @code{shg} function.  To delete
 a graphics object, call @code{delete} on its index.  To close the
 figure window, call the @code{close} function.
 
-@DOCSTRING(clf)
-
-@DOCSTRING(cla)
-
-@DOCSTRING(shg)
-
-@DOCSTRING(delete)
-
-@DOCSTRING(close)
-
-@DOCSTRING(closereq)
+@ref{XREFclf, , @code{clf}}: Clear the current figure window.
+
+@ref{XREFcla, , @code{cla}}: Clear the current or specified (HAX) axes object.
+
+@ref{XREFshg, , @code{shg}}: Show the graph window.
+
+@ref{XREFdelete, , @code{delete}}: Delete the named file or graphics handle.
+
+@ref{XREFclose, , @code{close}}: Close figure window(s).
+
+@ref{XREFclosereq, , @code{closereq}}: Close the current figure and delete all graphics objects associated with
+it.
 
 @node Use of the @code{interpreter} Property
 @subsection Use of the @code{interpreter} Property
@@ -1200,11 +1220,12 @@
 @end float
 @end ifnotinfo
 
-@DOCSTRING(print)
-
-@DOCSTRING(saveas)
-
-@DOCSTRING(orient)
+@ref{XREFprint, , @code{print}}: Format a figure for printing and either save it to a file, send it to a
+print...
+
+@ref{XREFsaveas, , @code{saveas}}: Save graphic object H to the file FILENAME in graphic format FMT.
+
+@ref{XREForient, , @code{orient}}: Query or set the print orientation for figure HFIG.
 
 @code{print} and @code{saveas} are used when work on a plot has finished
 and the output must be in a publication-ready format.  During intermediate
@@ -1213,13 +1234,15 @@
 etc.---can be made easily from within Octave.  The @code{hgsave}/@code{hgload}
 commands can be used to save and re-create a graphics object.
 
-@DOCSTRING(hgsave)
-
-@DOCSTRING(hgload)
-
-@DOCSTRING(openfig)
-
-@DOCSTRING(savefig)
+@ref{XREFhgsave, , @code{hgsave}}: Save the graphics handle(s) H to the file FILENAME in the format FMT.
+
+@ref{XREFhgload, , @code{hgload}}: Load the graphics objects in FILENAME into a vector of graphics handles
+H.
+
+@ref{XREFopenfig, , @code{openfig}}: Read saved figure window(s) from FILENAME and return graphics handle(s)
+H.
+
+@ref{XREFsavefig, , @code{savefig}}: Save figure windows specified by graphics handle(s) H to file FILENAME.
 
 @node Interacting with Plots
 @subsection Interacting with Plots
@@ -1228,11 +1251,12 @@
 select the position at which to place text on the plot with the
 @code{gtext} function using the mouse.
 
-@DOCSTRING(ginput)
-
-@DOCSTRING(waitforbuttonpress)
-
-@DOCSTRING(gtext)
+@ref{XREFginput, , @code{ginput}}: Return the position and type of mouse button clicks and/or key strokes
+in the...
+
+@ref{XREFwaitforbuttonpress, , @code{waitforbuttonpress}}: Wait for mouse click or key press over the current figure window.
+
+@ref{XREFgtext, , @code{gtext}}: Place text on the current figure using the mouse.
 
 More sophisticated user interaction mechanisms can be obtained using the
 @nospell{ui*} family of functions, @pxref{UI Elements}.
@@ -1244,9 +1268,9 @@
 that plotting is working.  Typing either @code{sombrero} or @code{peaks}
 at the Octave prompt should display a three-dimensional plot.
 
-@DOCSTRING(sombrero)
-
-@DOCSTRING(peaks)
+@ref{XREFsombrero, , @code{sombrero}}: Plot the familiar 3-D sombrero function.
+
+@ref{XREFpeaks, , @code{peaks}}: Plot a function with lots of local maxima and minima.
 @node Graphics Data Structures
 @section Graphics Data Structures
 @cindex graphics data structures
@@ -1364,7 +1388,7 @@
 The uses of @code{get} and @code{set} are further explained in
 @ref{XREFget,,get}, @ref{XREFset,,set}.
 
-@DOCSTRING(isprop)
+@ref{XREFisprop, , @code{isprop}}: Return true if PROP is a property of the object OBJ.
 
 @node Graphics Objects
 @subsection Graphics Objects
@@ -1446,15 +1470,19 @@
 Instead of calling @code{line}, use @code{plot}.  Or use @code{surf} instead of
 @code{surface}.  Or use @code{fill} or @code{fill3} instead of @code{patch}.
 
-@DOCSTRING(axes)
-
-@DOCSTRING(line)
-
-@DOCSTRING(patch)
-
-@DOCSTRING(surface)
-
-@DOCSTRING(light)
+@ref{XREFaxes, , @code{axes}}: Create a Cartesian axes object and return a handle to it, or set the
+current ...
+
+@ref{XREFline, , @code{line}}: Create a line object from X and Y (and possibly Z) and insert it in the
+curre...
+
+@ref{XREFpatch, , @code{patch}}: Create patch object in the current axes with vertices at locations (X,
+Y) and...
+
+@ref{XREFsurface, , @code{surface}}: Create a surface graphic object given matrices X and Y from 'meshgrid'
+and a ...
+
+@ref{XREFlight, , @code{light}}: Create a light object in the current axes or for axes HAX.
 
 @subsubsection Handle Functions
 @cindex handle functions
@@ -1463,28 +1491,31 @@
 to an axes or figure, use the functions @code{ishghandle}, @code{isgraphics},
 @code{isaxes}, and @code{isfigure}.
 
-@DOCSTRING(ishghandle)
-
-@DOCSTRING(isgraphics)
-
-@DOCSTRING(ishandle)
-
-@DOCSTRING(isaxes)
-
-@DOCSTRING(isfigure)
+@ref{XREFishghandle, , @code{ishghandle}}: Return true if H is a graphics handle and false otherwise.
+
+@ref{XREFisgraphics, , @code{isgraphics}}: Return true if H is a graphics handle (of type TYPE) and false
+otherwise.
+
+@ref{XREFishandle, , @code{ishandle}}: Return true if H is a handle to a graphics or Java object and false
+otherwise.
+
+@ref{XREFisaxes, , @code{isaxes}}: Return true if H is an axes graphics handle and false otherwise.
+
+@ref{XREFisfigure, , @code{isfigure}}: Return true if H is a figure graphics handle and false otherwise.
 
 The function @code{gcf} returns an index to the current figure object,
 or creates one if none exists.  Similarly, @code{gca} returns the
 current axes object, or creates one (and its parent figure object) if
 none exists.
 
-@DOCSTRING(groot)
-
-@DOCSTRING(gcf)
-
-@DOCSTRING(gca)
-
-@DOCSTRING(gco)
+@ref{XREFgroot, , @code{groot}}: Return a handle to the root graphics object.
+
+@ref{XREFgcf, , @code{gcf}}: Return a handle to the current figure.
+
+@ref{XREFgca, , @code{gca}}: Return a handle to the current axes object.
+
+@ref{XREFgco, , @code{gco}}: Return a handle to the current object of the current figure, or a handle
+to t...
 
 The @code{get} and @code{set} functions may be used to examine and set
 properties for graphics objects.  For example,
@@ -1549,15 +1580,18 @@
 If @code{set} is called with two arguments (a graphic handle and a property
 name) then only the defaults for the requested property are returned.
 
-@DOCSTRING(get)
-
-@DOCSTRING(set)
-
-@DOCSTRING(ancestor)
-
-@DOCSTRING(allchild)
-
-@DOCSTRING(findfigs)
+@ref{XREFget, , @code{get}}: Return the value of the named property P from the graphics handle H.
+
+@ref{XREFset, , @code{set}}: Set named property values for the graphics handle (or vector of graphics
+hand...
+
+@ref{XREFancestor, , @code{ancestor}}: Return the first ancestor of handle object H whose type matches TYPE,
+where T...
+
+@ref{XREFallchild, , @code{allchild}}: Find all children, including hidden children, of a graphics object.
+
+@ref{XREFfindfigs, , @code{findfigs}}: Find all visible figures that are currently off the screen and move them
+onto...
 
 @cindex saving graphics objects
 @cindex graphics objects, saving
@@ -1579,11 +1613,13 @@
 @end group
 @end example
 
-@DOCSTRING(hdl2struct)
-
-@DOCSTRING(struct2hdl)
-
-@DOCSTRING(copyobj)
+@ref{XREFhdl2struct, , @code{hdl2struct}}: Return a structure, S, whose fields describe the properties of the
+object, an...
+
+@ref{XREFstruct2hdl, , @code{struct2hdl}}: Construct a graphics handle object H from the structure S.
+
+@ref{XREFcopyobj, , @code{copyobj}}: Construct a copy of the graphic objects associated with the handles
+HORIG and...
 
 @node Graphics Object Properties
 @subsection Graphics Object Properties
@@ -1767,9 +1803,9 @@
 @node Searching Properties
 @subsection Searching Properties
 
-@DOCSTRING(findobj)
-
-@DOCSTRING(findall)
+@ref{XREFfindobj, , @code{findobj}}: Find graphics objects with specified properties.
+
+@ref{XREFfindall, , @code{findall}}: Find graphics object, including hidden ones, with specified properties.
 @node Managing Default Properties
 @subsection Managing Default Properties
 @cindex default graphics properties
@@ -1861,7 +1897,7 @@
 @end group
 @end example
 
-@DOCSTRING(reset)
+@ref{XREFreset, , @code{reset}}: Reset the properties of the graphic object H to their default values.
 
 Getting the @qcode{"default"} property of an object returns a list of
 user-defined defaults set for the object.  For example,
@@ -2012,7 +2048,8 @@
 The @code{colstyle} function will parse a @code{plot}-style specification
 and will return the color, line, and marker values that would result.
 
-@DOCSTRING(colstyle)
+@ref{XREFcolstyle, , @code{colstyle}}: Parse the line specification STYLE and return the line style, color, and
+mark...
 
 @node Callbacks
 @subsection Callbacks
@@ -2127,9 +2164,10 @@
 obtained with the @code{gcbo} function.  The handle to the ancestor figure
 of this object may be obtained using the @code{gcbf} function.
 
-@DOCSTRING(gcbo)
-
-@DOCSTRING(gcbf)
+@ref{XREFgcbo, , @code{gcbo}}: Return a handle to the object whose callback is currently executing.
+
+@ref{XREFgcbf, , @code{gcbf}}: Return a handle to the figure containing the object whose callback is
+current...
 
 Callbacks can equally be added to properties with the @code{addlistener}
 function described below.
@@ -2142,13 +2180,16 @@
 handle.  The data can be anything which is meaningful to the application, and
 will be completely ignored by Octave.
 
-@DOCSTRING(setappdata)
-
-@DOCSTRING(getappdata)
-
-@DOCSTRING(rmappdata)
-
-@DOCSTRING(isappdata)
+@ref{XREFsetappdata, , @code{setappdata}}: Set the application data NAME to VALUE for the graphics object with
+handle H.
+
+@ref{XREFgetappdata, , @code{getappdata}}: Return the VALUE of the application data NAME for the graphics object
+with ha...
+
+@ref{XREFrmappdata, , @code{rmappdata}}: Delete the application data NAME from the graphics object with handle H.
+
+@ref{XREFisappdata, , @code{isappdata}}: Return true if the named application data, NAME, exists for the graphics
+obje...
 
 @node Object Groups
 @subsection Object Groups
@@ -2160,7 +2201,7 @@
 results in changes in the others.  A graphic object that groups other
 objects is an @code{hggroup}
 
-@DOCSTRING(hggroup)
+@ref{XREFhggroup, , @code{hggroup}}: Create handle graphics group object with axes parent HAX.
 
 For example a simple use of a @code{hggroup} might be
 
@@ -2182,7 +2223,7 @@
 objects.  Additional properties can be added with the @code{addproperty}
 function.
 
-@DOCSTRING(addproperty)
+@ref{XREFaddproperty, , @code{addproperty}}: Create a new property named NAME in graphics object H.
 
 Once a property in added to an @code{hggroup}, it is not linked to any
 other property of either the children of the group, or any other
@@ -2190,9 +2231,10 @@
 property is used, the @code{addlistener} function is used to define a
 callback function that is executed when the property is altered.
 
-@DOCSTRING(addlistener)
-
-@DOCSTRING(dellistener)
+@ref{XREFaddlistener, , @code{addlistener}}: Register FCN as listener for the property PROP of the graphics object H.
+
+@ref{XREFdellistener, , @code{dellistener}}: Remove the registration of FCN as a listener for the property PROP of
+the gra...
 
 An example of the use of these two functions might be
 
@@ -2229,9 +2271,11 @@
 @end group
 @end example
 
-@DOCSTRING(linkprop)
-
-@DOCSTRING(linkaxes)
+@ref{XREFlinkprop, , @code{linkprop}}: Link graphic object properties, such that a change in one is propagated
+to th...
+
+@ref{XREFlinkaxes, , @code{linkaxes}}: Link the axis limits of 2-D plots such that a change in one is
+propagated to ...
 
 These capabilities are used in a number of basic graphics objects.
 The @code{hggroup} objects created by the functions of Octave contain
@@ -2301,7 +2345,8 @@
 the relevant data property of the group when the @code{refreshdata}
 function is called.
 
-@DOCSTRING(refreshdata)
+@ref{XREFrefreshdata, , @code{refreshdata}}: Evaluate any 'datasource' properties of the current figure and update
+the plo...
 
 @anchor{XREFlinkdata}
 @c add the description of the linkdata function here when it is written
@@ -2741,7 +2786,7 @@
 
 @c FIXME: Need to add documentation on transforms.
 
-@DOCSTRING(hgtransform)
+@ref{XREFhgtransform, , @code{hgtransform}}: Create a graphics transform object.
 
 @c @DOCSTRING(makehgtform)
 
